Bug 1478878 - Remote Execution Job runs multiple times on Hosts with more than one Interface
Remote Execution Job runs multiple times on Hosts with more than one Interface
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution (Show other bugs)
6.2.10
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks: 1480235
  Show dependency treegraph
 
Reported: 2017-08-07 08:24 EDT by rakesh kumar
Modified: 2017-10-30 07:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1480235 (view as bug list)
Environment:
Last Closed: 2017-08-08 15:22:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rakesh kumar 2017-08-07 08:24:47 EDT
Description of problem:  Only on Hosts with more than one interface:
- Job Invocation found only 1 Host from search query
- Overview Page of the Jobs already shows two Hosts
- The job will be executed two times per hosts found.
- So in total four runs of the job, for one host with two interfaces.



Version-Release number of selected component (if applicable):

tfm-rubygem-foreman_remote_execution-0.3.0.17-1.el7sat.noarch

How reproducible:

Always

Steps to Reproduce:
1.Try to execute a remote command on a host with multiple interfaces and it's a part of host collection.

Actual results:
multiple jobs created for the single host

Expected results:
Single job should be created

Additional info:

Upstream bug:
http://projects.theforeman.org/issues/20318

fix-> https://github.com/theforeman/foreman_remote_execution/pull/259

Note You need to log in before you can comment on or make changes to this bug.